package com.laseroptek.raman.ui.screens.config.language

import androidx.lifecycle.ViewModel
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.asStateFlow
import timber.log.Timber
import javax.inject.Inject

@HiltViewModel
class LanguageViewModel @Inject constructor(
) : ViewModel() {
    // volumeLevel
    private val _selectedLanguage = MutableStateFlow("en") // Keep the MutableStateFlow private
    val selectedLanguage = _selectedLanguage.asStateFlow()         // Expose an immutable StateFlow

    fun setSelectedLanguage(language: String) {
        _selectedLanguage.value = language
    }

    init {
        Timber.d("LanguageViewModel init")
    }
}